Name:           python-simba-uw-tf-dev
Version:        3.3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Toolkit for computer classification and analysis of behaviors in experimental animals

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/sgoldenlab/simba
Source:         %{pypi_source simba_uw_tf_dev}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'simba-uw-tf-dev' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-simba-uw-tf-dev
Summary:        %{summary}

%description -n python3-simba-uw-tf-dev %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-simba-uw-tf-dev arm,gpu


%prep
%autosetup -p1 -n simba_uw_tf_dev-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x arm,gpu


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-simba-uw-tf-dev -f %{pyproject_files}


%changelog
%autochangelog